function(doxygen_format format default)
  set (COMMENT "Creates Doxygen documentation in ${format} format")
  set (ENABLE ENABLE_DOXYGEN_DOCS_${format})
  option(${ENABLE} ${COMMENT} ${default} )
  if (${ENABLE})
    set (CMAKE_DOXYGEN_GENERATE_${format} YES PARENT_SCOPE)
  else  (${ENABLE})
    set (CMAKE_DOXYGEN_GENERATE_${format} NO PARENT_SCOPE)
  endif  (${ENABLE})
endfunction()
